# Uses of Enum
org.apache.zookeeper.server.persistence.SnapStream.StreamMode

Packages that use SnapStream.StreamMode
Package
Description
org.apache.zookeeper.server.persistence

## Uses of SnapStream.StreamMode in org.apache.zookeeper.server.persistence

Subclasses with type arguments of type SnapStream.StreamMode in org.apache.zookeeper.server.persistence
Modifier and Type
Class
Description
`static enum`
`SnapStream.StreamMode`
Fields in org.apache.zookeeper.server.persistence declared as SnapStream.StreamMode
Modifier and Type
Field
Description
`static final SnapStream.StreamMode`
SnapStream.StreamMode.`DEFAULT_MODE`
Methods in org.apache.zookeeper.server.persistence that return SnapStream.StreamMode
Modifier and Type
Method
Description
`static SnapStream.StreamMode`
SnapStream.StreamMode.`fromString(String name)`
`static SnapStream.StreamMode`
SnapStream.`getStreamMode()`
`static SnapStream.StreamMode`
SnapStream.`getStreamMode(String fileName)`
Detect the stream mode from file name extension
`static SnapStream.StreamMode`
SnapStream.StreamMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SnapStream.StreamMode[]`
SnapStream.StreamMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server.persistence with parameters of type SnapStream.StreamMode
Modifier and Type
Method
Description
`static void`
SnapStream.`setStreamMode(SnapStream.StreamMode mode)`